std::forward_list::front(3)

NAME
std::forward_list::front - std::forward_list::front

Synopsis
   reference front(); (since C++11)
   const_reference front() const; (since C++11)
   Returns a reference to the first element in the container.
   Calling front on an empty container is undefined.

Parameters
   (none)

Return value
   reference to the first element

Complexity
   Constant

Notes
   For a container c, the expression c.front() is equivalent to *c.begin().

Example
   The following code uses front to display the first element of a
   std::forward_list<char>: // Run this code
 #include <forward_list>
 #include <iostream>
 int main()
 {
     std::forward_list<char> letters {'o', 'm', 'g', 'w', 't', 'f'};
     if (!letters.empty()) {
         std::cout << "The first character is '" << letters.front() << "'.\n";
     }
 }

Output:
 The first character is 'o'.